/*
Manejo de control de ingreso de campos
*/
 
/* # Validando Formulario
============================================*/
$(document).ready(function(){
	$('#formulario').validate({
		errorElement: "span",
		rules: {
			
		    nombre: {
		     	minlength: 3,
				rangelength: "3,25",
				digits:/^[0-9]+$/, //"/^[a-z]+$/i", //
		        required: true
		    },
			apellido: {
		     	minlength: 3,
				rangelength: "3,25",
				digits:/^[0-9]+$/, //"/^[a-z]+$/i", //
		        required: true
		    },
		    email: {
		        required: true,
		        email: true
		    },
		    direccion: {
		      	rangelength: "5,70",
		        required: true
		    },
		    nacionalidad: {
		        minlength: 4,
		        required: true
		    },
			 fono: {
		        minlength: 2,
				maxlength:10,
		        required: true,
				number:true
		    },
			 celu: {
		        minlength: 2,
				maxlength:10,
		        required: true,
				number:true
		    },
			 /*cedula: {
		        minlength: 2,
				maxlength:10,
				min:1,
		        required: true,
				number:true
		    },*/
			 descripcionpersonal: {
		        minlength: 2,
				required: true
				
		    },
			 puesto: {
		        minlength: 2,
				digits:/^[0-9]+$/, // solo letras
				required: true
				
		    },
			 descripcionpuesto: {
		        minlength: 2,
				required: true
				
		    },
			 titulo: {
		        minlength: 2,
				required: true
		    },
			 //DATOS DE EMPRESA
			razonsocial: {
		        minlength: 3,
				//digits:/^[0-9]+$/,
				rangelength: "3,25",
				required: true
				
		    },
		    seleciudad:
		    {
		    	required: true
		    },
			ruc: {
		        minlength: 2,
				maxlength:13,
				number: true,
				required: true
				
		    },
		    txtciudad:// se usa para el manejo del select en ciudad
		    {
		    	required: true
		    },
			/*direccion: {
		        minlength: 2,
				required: true
				
		    },*/
			//fono ya esta para estudiante y esta declarado en la parte superior
			contacto: {
				minlength: 3,
				rangelength: "3,25",
				//digits:/^[0-9]+$/, //"/^[a-z]+$/i", //
		        required: true
		    },
			numcontacto: {
		        minlength: 2,
				maxlength:10,
				number: true,
				required: true
		    },
			emailcont: {
		        email: true,
				required: true
				
		    },
			puestovacante: {
		        minlength: 3,
				rangelength: "3,25",
				//digits:/^[0-9]+$/, //"/^[a-z]+$/i", //
		        required: true
				
		    },
			numcargos: {
		        number: true,
				min:1,
				maxlength:2,
				required: true
		    },
			capacitacion: {
		        minlength: 2,
				//digits:/^[0-9]+$/, //"/^[a-z]+$/i", //
				required: true
		    },
			actividades:{
				minlength: 2,
				//digits:/^[0-9]+$/, //"/^[a-z]+$/i", //
				required: true
			},
			adicional: {
		        minlength: 2,
				//digits:/^[0-9]+$/, //"/^[a-z]+$/i", //
				required: true
		    },
			cedul:
			{
				number:true,
				required: true
			},/*
			salario: {
		        number: true,
				minlength: 2,
				maxlength:4,
				min:1,
				required: true
				
		    },*/
		     txtidioma:
			{
				required:true,
				digits:/^[0-9]+$/,
				minlength: 2,
				maxlength:15
			},
			
		},
		highlight: function(element) {
			$(element).closest('.control-group')
			.removeClass('success').addClass('error');
		},
		success: function(element) {
			element
			.text('').addClass('help-inline')
			.closest('.control-group')
			.removeClass('error').addClass('success');
		}
	});
});